Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 467628 - =dev-cpp/commoncpp2-1.8.0 fails with automake-1.13 - error: 'AM_CONFIG_HEADER': this macro is obsolete
Summary: =dev-cpp/commoncpp2-1.8.0 fails with automake-1.13 - error: 'AM_CONFIG_HEADER...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Unspecified (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: C++ Team [disbanded]
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: automake-1.13
  Show dependency tree
 
Reported: 2013-04-27 22:01 UTC by Ian Stakenvicius
Modified: 2013-06-17 13:28 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
commoncpp2-configure_fix.patch (commoncpp2-configure_fix.patch,339 bytes, patch)
2013-05-05 11:39 UTC, David Heidelberg (okias)
Details | Diff
commoncpp2-1.8.0.ebuild (commoncpp2-1.8.0.ebuild,2.08 KB, text/plain)
2013-05-05 11:40 UTC, David Heidelberg (okias)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Stakenvicius gentoo-dev 2013-04-27 22:01:19 UTC
# cat /var/tmp/portage/dev-cpp/commoncpp2-1.8.0/temp/aclocal.out
***** aclocal *****
***** PWD: /var/tmp/portage/dev-cpp/commoncpp2-1.8.0/work/commoncpp2-1.8.0
***** aclocal -I m4

/usr/share/aclocal/zthread.m4:34: warning: underquoted definition of AM_PATH_ZTHREAD
/usr/share/aclocal/zthread.m4:34:   run info Automake 'Extending aclocal'
/usr/share/aclocal/zthread.m4:34:   or see http://www.gnu.org/software/automake/manual/automake.html#Extending-aclocal
configure.ac:95: error: 'AM_CONFIG_HEADER': this macro is obsolete.
    You should use the 'AC_CONFIG_HEADERS' macro instead.
/usr/share/aclocal-1.13/obsolete-err.m4:12: AM_CONFIG_HEADER is expanded from...
configure.ac:95: the top level
autom4te-2.69: /usr/bin/m4 failed with exit status: 1
aclocal-1.13: error: echo failed with exit status: 1

The following atoms were also found to be effected:
=dev-cpp/commoncpp2-1.6.1
=dev-cpp/commoncpp2-1.6.2

Please note that although this package is stable and automake-1.13 is ~arch,
this is still a priority fix because ~arch users are immediately affected.
Comment 1 David Heidelberg (okias) 2013-05-05 11:39:25 UTC
Created attachment 347428 [details, diff]
commoncpp2-configure_fix.patch
Comment 2 David Heidelberg (okias) 2013-05-05 11:40:04 UTC
Created attachment 347430 [details]
commoncpp2-1.8.0.ebuild

fixed ebuild (added epatch)
Comment 3 Jason Mours 2013-06-03 17:34:30 UTC
Is a patch going to be pushed to ~testing soon? I don't boost and commoncpp2 is my preferred way to teach gcc c++.... and yes, I'm a automake-1.13.1 hold out. I still think allowing the old macro style rolling around @world passes will just introduce errata, unnecessarily, maybe worse. Thanks
Comment 4 Tiziano Müller gentoo-dev 2013-06-17 13:28:15 UTC
Fixed together with version bump 1.8.1